Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## com.bea.wli.common
Annotation Type MethodSecurity

Deprecated.

    @Target(value=METHOD)
    @Retention(value=RUNTIME)
    @Deprecated
    public @interface MethodSecurity

MethodSecurity annotation is deprecated, please use WLI Console to configure security instead

Optional Element Summary
`String[]` | `callbackRolesAllowed` Deprecated. Specify a list of roles permitted to callback the object annotated by this annotation.
`String[]` | `rolesAllowed` Deprecated. Specify a list of roles permitted to access the object annotated by this annotation.
`String` | `runAs` Deprecated. A web resource (a class or a method) that includes this attribute asssumes the permission-level of the role specified and the may access other resources accordingly.
`String` | `runAsPrincipal` Deprecated. A web resource (a class or method) that includes this attribute assumes the permission-level of the principle specified and the may access other resources accordingly.

### rolesAllowed

    public abstract String[] rolesAllowed

  Deprecated.
  Specify a list of roles permitted to access the object annotated by this annotation.

  Default:
    {}

### runAs

    public abstract String runAs

  Deprecated.
  A web resource (a class or a method) that includes this attribute asssumes the permission-level of the role specified and the may access other resources accordingly.

  Default:
    ""

### runAsPrincipal

    public abstract String runAsPrincipal

  Deprecated.
  A web resource (a class or method) that includes this attribute assumes the permission-level of the principle specified and the may access other resources accordingly. Note that if you specify the runAsPrincipal attributes, you must also specify the run_as attribute.

  Default:
    ""

### callbackRolesAllowed

    public abstract String[] callbackRolesAllowed

  Deprecated.
  Specify a list of roles permitted to callback the object annotated by this annotation.

  Default:
    {}

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT